#
# Conditional build:
%bcond_without	python2		# CPython 2.x module and plugin
%bcond_without	python3		# CPython 3.x module and plugin

%define		gst_ver	1.16.3
%define		pname	gst-python
Summary:	GStreamer Python 2 bindings
Summary(pl.UTF-8):	Wiązania języka Python 2 do GStreamera
Name:		python-gstreamer
# keep 1.16.x here (1.18+ is python3-only, see python3-gstreamer.spec)
Version:	1.16.3
Release:	5
License:	LGPL v2+
Group:		Libraries/Python
Source0:	https://gstreamer.freedesktop.org/src/gst-python/%{pname}-%{version}.tar.xz
# Source0-md5:	326f4f4c23e2477bf3d5839c465a42ca
Patch0:		%{name}-nosegv.patch
URL:		https://gstreamer.freedesktop.org/modules/gst-python.html
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake >= 1:1.11
BuildRequires:	gstreamer-devel >= %{gst_ver}
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig >= 1:0.9.0
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-pygobject3-devel >= 3.8
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-pygobject3-devel >= 3.8
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.612
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	gstreamer >= %{gst_ver}
Requires:	python-pygobject3 >= 3.8
Obsoletes:	python-gstreamer-devel < 1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GStreamer Python 2 bindings.

%description -l pl.UTF-8
Wiązania języka Python 2 do GStreamera.

%package -n gstreamer-python
Summary:	GStreamer plugin to load plugins written in Python 2
Summary(pl.UTF-8):	Wtyczka GStreamera do wczytywania wtyczek napisanych w Pythonie 2
Group:		Libraries
Requires:	python-gstreamer = %{version}-%{release}

%description -n gstreamer-python
GStreamer plugin to load plugins written in Python 2.

%description -n gstreamer-python -l pl.UTF-8
Wtyczka GStreamera do wczytywania wtyczek napisanych w Pythonie 2.

%package -n python3-gstreamer
Summary:	GStreamer Python 3 bindings
Summary(pl.UTF-8):	Wiązania języka Python 3 do GStreamera
Group:		Libraries/Python
Requires:	gstreamer >= %{gst_ver}
Requires:	python3-pygobject3 >= 3.8

%description -n python3-gstreamer
GStreamer Python 3 bindings.

%description -n python3-gstreamer -l pl.UTF-8
Wiązania języka Python 3 do GStreamera.

%package -n gstreamer-python3
Summary:	GStreamer plugin to load plugins written in Python 3
Summary(pl.UTF-8):	Wtyczka GStreamera do wczytywania wtyczek napisanych w Pythonie 3
Group:		Libraries
Requires:	python3-gstreamer = %{version}-%{release}

%description -n gstreamer-python3
GStreamer plugin to load plugins written in Python 3.

%description -n gstreamer-python3 -l pl.UTF-8
Wtyczka GStreamera do wczytywania wtyczek napisanych w Pythonie 3.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I common/m4
%{__autoconf}
%{__autoheader}
%{__automake}

%if %{with python2}
install -d python2
cd python2
../%configure \
	PYTHON="%{__python}" \
	--disable-silent-rules
%{__make}
cd ..
%endif

%if %{with python3}
install -d python3
cd python3
../%configure \
	PYTHON="%{__python3}" \
	--disable-silent-rules
%{__make}
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__make} -C python2 install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/gi/overrides/*.la
%endif

%if %{with python3}
%{__make} -C python3 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/gi/overrides/*.la
%endif

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/libgstpython.la
install -d $RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/python

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS TODO
%attr(755,root,root) %{py_sitedir}/gi/overrides/_gi_gst.so
%{py_sitedir}/gi/overrides/Gst.py[co]
%{py_sitedir}/gi/overrides/GstPbutils.py[co]

%files -n gstreamer-python
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstpython.so
%dir %{_libdir}/gstreamer-1.0/python
%endif

%if %{with python3}
%files -n python3-gstreamer
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS TODO
%attr(755,root,root) %{py3_sitedir}/gi/overrides/_gi_gst.cpython-*.so
%{py3_sitedir}/gi/overrides/Gst.py
%{py3_sitedir}/gi/overrides/GstPbutils.py
%{py3_sitedir}/gi/overrides/__pycache__/Gst.*.py[co]
%{py3_sitedir}/gi/overrides/__pycache__/GstPbutils.*.py[co]

%files -n gstreamer-python3
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstpython.cpython-3*.so
%dir %{_libdir}/gstreamer-1.0/python
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-gstreamer.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 7b47327
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 2415eea
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 7abac2d
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> ed3f572
- rebuild with separate debuginfo build-ids

* Sun Oct 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 9d4f7d3
- versioned Obsoletes

* Sun Oct 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 8b475be
- note on 1.18.x being python3-only

* Sun Mar 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 3b02dfb
- updated to 1.16.3
- removed obsolete python-3.8 patch

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> fe66923
- release 2 (by relup.sh)

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 73b169f
- updated to 1.16.2

* Mon Nov 04 2019 Jan Rękorajski <baggins@pld-linux.org> ea3be36
- fix building with python 3.8
- rel 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 9afa53a
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Jun 07 2019 Bartek Szady <bszx@bszx.eu> 147ee4d
- updated to 1.16.0

* Wed Mar 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 6b9602b
- updated dependencies

* Wed Dec 26 2018 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 6532372
- Updated to 1.14.4

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c665c5b
- release 3 (by relup.sh)

* Tue Dec 26 2017 Jan Rękorajski <baggins@pld-linux.org> 68628e3
- release 2 (by relup.sh)

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 206bab1
- updated to 1.12.4

* Thu Jul 27 2017 Jakub Bogusz <qboosh@pld-linux.org> bc2dad8
- updated to 1.12.2

* Sun May 14 2017 Jakub Bogusz <qboosh@pld-linux.org> 5f791cc
- updated to 1.12.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c160ac
- python 3.6
- release 2 (by relup.sh)

